<?php

/**
 *
 * @author Kazekage
 * @version $Id$
 * @copyright (c) 2012 Kazekage
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 *
 */
/**
 * @ignore
 */
define('UMIL_AUTO', true);
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);

include($phpbb_root_path . 'common.' . $phpEx);
$user->session_begin();
$auth->acl($user->data);
$user->setup();


if (!file_exists($phpbb_root_path . 'umil/umil_auto.' . $phpEx)) {
    trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}

// The name of the mod to be displayed during installation.
$mod_name = 'MOD_NAME';

/*
 * The name of the config variable which will hold the currently installed version
 * UMIL will handle checking, setting, and updating the version itself.
 */
$version_config_name = 'who_download_this_version';


// The language file which will be included when installing
$language_file = 'mods/who_download_this';


/*
 * Optionally we may specify our own logo image to show in the upper corner instead of the default logo.
 * $phpbb_root_path will get prepended to the path specified
 * Image height should be 50px to prevent cut-off or stretching.
 */
//$logo_img = 'styles/prosilver/imageset/site_logo.gif';

/*
 * The array of versions and actions within each.
 * You do not need to order it a specific way (it will be sorted automatically), however, you must enter every version, even if no actions are done for it.
 *
 * You must use correct version numbering.  Unless you know exactly what you can use, only use X.X.X (replacing X with an integer).
 * The version numbering must otherwise be compatible with the version_compare function - http://php.net/manual/en/function.version-compare.php
 */
$versions = array(
    '0.0.1' => array(
        'table_add' => array(
            array(ATTACHMENTS_DOWNLOADS_TABLE, array(
                    'COLUMNS' => array(
                        'file_id' => array('UINT', NULL),
                        'user_id' => array('UINT', NULL),
						'count_download' => array('UINT', NULL),
                        'last_download' => array('TIMESTAMP', NULL),
                    ),
                      'KEYS' => array(
                      'file_id' => array('INDEX', array('file_id')),
					  )
                    ),
            )),
        'permission_add' => array(
   			'u_view_download_list',
			'u_view_users_downloads',
			'u_download_list',
			'u_download_count',),
			),
	// Para actualizar las bd de la versin 0.0.1 a la 0.0.2 en el archivo de los cambios de cdigo est la consulta necesaria
	'0.0.2' => array()
        );

// Include the UMIL Auto file, it handles the rest
include($phpbb_root_path . 'umil/umil_auto.' . $phpEx);
?>